#pragma once
#include <map>
struct Fish_TorpedoRankShortlistedCFGData
{
	//ID
	int mID;
	//鱼雷ID
	int mTorpedoId;
	//入围类型
	int mRankType;
	//入围积分
	int mEntryScore;
	//奖励道具列表
	std::vector<int> mRewardList;
	//奖励数量
	std::vector<int> mRewardCount;
	//欢乐炸入榜最低积分
	int mLuckyLimitScore;
	//欢乐炸入榜最高积分
	int mSadLimitScore;
};

class Fish_TorpedoRankShortlistedCFG
{
public:
private:
	static std::auto_ptr<Fish_TorpedoRankShortlistedCFG> msSingleton;
public:
	int GetCount();
	const Fish_TorpedoRankShortlistedCFGData* GetData(int ID);
	const std::map<int, Fish_TorpedoRankShortlistedCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TorpedoRankShortlistedCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TorpedoRankShortlistedCFGData> mMapData;
};
